Bug 51688 - VIEWING: missing anti-aliasing in frames (for example illustrations with captions)
Summary: VIEWING: missing anti-aliasing in frames (for example illustrations with capt...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
3.4.1 RC1
Hardware: Other Windows (All)
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.2.0 target:4.1.1 target:4.0.6
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-07-03 04:43 UTC by László Németh
Modified: 2013-08-14 11:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Anti-aliasing of illustrations depends from the caption (ie. frame). (29.68 KB, image/png)
2012-07-03 04:43 UTC, László Németh
Details
testcase (12.27 KB, application/vnd.oasis.opendocument.text)
2012-07-03 04:44 UTC, László Németh
Details
working anti-aliasing in LibO 3.3.2 (58.16 KB, image/png)
2012-07-07 03:38 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2012-07-03 04:43:26 UTC
Created attachment 63759 [details]
Anti-aliasing of illustrations depends from the caption (ie. frame).

Illustrations with captions are handled by frames, but in LibO 3.6 beta 2, there is no anti-aliasing within frames.
Comment 1 László Németh 2012-07-03 04:44:19 UTC
Created attachment 63760 [details]
testcase

testcase (source of the screenshot)
Comment 2 Florian Reisinger 2012-07-06 07:49:31 UTC
I can confirm a difference with beta 3, but IMHO importance is normal....
Comment 3 Florian Reisinger 2012-07-06 07:54:37 UTC
Deleted "regression" from title: @Lazlo: What is the last working version?
Comment 4 László Németh 2012-07-07 03:37:25 UTC
(In reply to comment #3)
> Deleted "regression" from title: @Lazlo: What is the last working version?

It works in version 3.3.2 (see the attached screenshot), but not in 3.4.2. Thanks for your test.
Comment 5 László Németh 2012-07-07 03:38:23 UTC
Created attachment 63930 [details]
working anti-aliasing in LibO 3.3.2
Comment 6 Rainer Bielefeld Retired 2012-07-29 09:06:23 UTC
[Reproducible] with Server Installation of  "LibreOffice 3.6.0.4 rc  German UI/Locale [Build-ID:  932b512] on German WIN7 Home Premium (64bit): I see the difference in reporter's testcase. When I copy/paste drawing in frame to outside frame result looks better (anti-aliased).

Also reproducible with own sample documents. 

Already [Reproducible] with 
- "LibreOffice  3.5.5.3.  German UI/Locale [Build-ID: 7122e39-92ed229-498d286-15e43b4-d70da21] on German WIN7 Home Premium (64bit) 
-  "LibreOffice 3.4.5 German UI [Build ID: OOO340m1 (Build:502)]" parallel Server installation on German WIN7 Home Premium (64bit) 
- "LibreOffice 3.4.1RC1  - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:101)]" 

Worke fine with "LibreOffice 3.3.3  German UI/Locale [OOO330m19 (Build:301) tag libreoffice-3.3.3.1] on German WIN7 Home Premium (64bit) 

@László Németh:
Please add information concerning your OS (Version, Distribution, Language)

@Michael:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 7 Michael Stahl (CIB) 2013-08-13 17:59:51 UTC
apparently fixed on master and libreoffice-4-1... but not libreoffice-4-0?

it was fixed by commit 420aa16af0bbab4bdef80ceeb8d44cabe65840e0
for bug 66745 which turned out not to be the problem the
reported wanted fixed there so not resolving as duplicate :)

will submit for 4.0 branch too.
Comment 8 Commit Notification 2013-08-14 11:28:31 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc8f9f46f08a576f5c6a7e1538c1d9a21cc029ac&h=libreoffice-4-0

fdo#51688 fdo#66745: drawinglayer: properly restore anti-aliasing mode


It will be available in LibreOffice 4.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.